Zum Inhalt springen

Flux 3 Keyframes To Video Draft

Integrieren

Modell-ID blackforestlabs/flux-3/keyframes-to-video/draft
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/keyframes-to-video/draft?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "keyframes": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
        "frame_index": 0
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,30 $ 300 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
Black Forest Labs · Video

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich

Textbeschreibung des Entwurfsvideos.

duration 5 s

Entwurfslänge zur Validierung der Keyframe-Positionen; erforderlich ist ein expliziter ganzzahliger Sekundenwert zwischen 5 und 20.

aspect_ratio Standard auto

Seitenverhältnis der Entwurfsausgabe; `auto` überlässt die Auswahl dem Modell.

•erforderlich

Sammlung von höchstens 10 Bildern, denen jeweils ein anderer `frame_index` zugewiesen wird, um ihre Position im generierten Entwurf festzulegen.

Erweitert safety_tolerance
Standard 2

Die Sicherheitstoleranz des Videos verwendet eine Skala, auf der 4 die großzügigste und 0 die strengste Einstellung ist.

POST /run/blackforestlabs/flux-3/keyframes-to-video/draft?wait=20 Preis → 0,30 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/keyframes-to-video/draft?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "keyframes": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
        "frame_index": 0
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Flux 3 Keyframes To Video Draft

Gib einen `prompt` und 1 bis 10 `keyframes` an, jeweils mit einem eindeutigen `frame_index`. Eine explizite `duration` von 5 bis 20 Sekunden ist erforderlich, damit die Keyframe-Positionen validiert werden können. `aspect_ratio` kann auto sein oder von 21:9 bis 9:16 reichen, und `generate_audio` schaltet Ton ein oder aus. Die Ausgabe enthält einen `draft_cache` für ein Rendern in voller Qualität.

Parameter

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
Textbeschreibung des Entwurfsvideos.
aspect_ratiooptional
Typenum
Standardauto
auto21:92:116:94:31:13:49:16
Seitenverhältnis der Entwurfsausgabe; `auto` überlässt die Auswahl dem Modell.
durationoptional
Typenum
Standard5
567891011121314151617181920
Entwurfslänge zur Validierung der Keyframe-Positionen; erforderlich ist ein expliziter ganzzahliger Sekundenwert zwischen 5 und 20.
generate_audiooptional
Typboolean
Standardtrue
Steuert die Audiogenerierung für das Entwurfsvideo.
safety_toleranceoptional
Typinteger
Standard2
0 – 4
Die Sicherheitstoleranz des Videos verwendet eine Skala, auf der 4 die großzügigste und 0 die strengste Einstellung ist.
keyframeserforderlich
Typobject[]
≤ 10 Elemente
Sammlung von höchstens 10 Bildern, denen jeweils ein anderer `frame_index` zugewiesen wird, um ihre Position im generierten Entwurf festzulegen.
keyframes[].image_urlerforderlich
Typurl · image
URL des Keyframe-Bildes; akzeptiert PNG, JPEG oder WebP.
keyframes[].frame_indexerforderlich
Typinteger
≥ 0
Für jeden Keyframe wird ein eigener Frame-Index verwendet, der höchstens `duration * 24` betragen darf; die Ausgabe läuft mit 24 fps.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/keyframes-to-video/draft",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "keyframes": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
        "frame_index": 0
      }
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "draft_cache": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
video
object {url, content_type, file_name, file_size}Als Entwurf erzeugtes Video.
draft_cache
object {url, content_type, file_name, file_size} | nullCache-Daten zum Rendern eines Entwurfs in voller Qualität über `draft-enhance`, gespeichert in einem dauerhaften, verschlüsselten Bundle. Diese Ausgabe fehlt, wenn der Partner kein Bundle für den Entwurf zurückgegeben hat.

Weitere Modelle: Bild zu Video

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/blackforestlabs/flux-3/keyframes-to-video/draft.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt